<!DOCTYPE html>

<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thmelef/layout"
      layout:decorate="_layout">
<head>
    <title>Registered User</title>
</head>
<body>
    <div layout:fragment="content">
        <div class="container">
            <div class="text-center">
                <h2>List of Registered Users</h2>
            </div>
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <th style="width:10%">ID</th>
                        <th style="width:20%">First Name</th>
                        <th style="width:20%">Last Name</th>
                        <th style="width:30%">Email</th>
                    </tr>
                </thead>                    
                <tbody>
                    <tr th:each = "user : ${users}">
                        <td th:text = "${user.id}"></td>
                        <td th:text = "${user.firstName}"></td>
                        <td th:text = "${user.lastName}"></td>
                        <td th:text = "${user.email}"></td>
                    </tr>              
                </tbody>                
            </table>
        </div>            
    </div>
</body>
</html>
